#include <iostream>
#include <vector>

#include "Color.h"
using namespace ePiX;

void test(const Color& color)
{
  std::vector<double> dens(color.densities());

  std::cout << color.name() << " = "
	    << color.model() << "(" << dens.at(0);
  for (unsigned int i=1; i<dens.size(); ++i)
    std::cout << "," << dens.at(i);

  std::cout << ")\n";
}

int main()
{
  test(Green().blend(Blue(), 0.4));
  test(Green(0.5));
  test(Green(1.8));

  test(Yellow().blend(Blue(), 0.4));
  test(Yellow(0.5));
  test(Yellow(1.8));

  test(Gray().blend(Blue(), 0.4));
  test(Gray(0.5));
  test(Gray(1.8));
}
